> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kollie.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Make Call



## OpenAPI

````yaml POST /api/v1/agents/{agent_id}/call
openapi: 3.1.0
info:
  title: kollie-backend
  version: v1
servers: []
security: []
paths:
  /api/v1/agents/{agent_id}/call:
    post:
      tags:
        - agents
      summary: Agent Call Outbound
      operationId: agent_call_outbound_api_v1_agents__agent_id__call_post
      parameters:
        - name: agent_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Agent Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IAgentCallOutbound'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IPostResponseBase_ICallRead_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - HTTPBearer: []
components:
  schemas:
    IAgentCallOutbound:
      properties:
        to_phone:
          type: string
          title: To Phone
          description: Recipient's phone number. (E.164 format)
        prompt_params:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Prompt Params
          description: >-
            Key-value parameters to be applied in the prompt. Example: {'name':
            'John'}.
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
      type: object
      required:
        - to_phone
      title: IAgentCallOutbound
    IPostResponseBase_ICallRead_:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          default: Data created correctly
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - {}
            - type: 'null'
          title: Meta
          default: {}
        data:
          anyOf:
            - $ref: '#/components/schemas/ICallRead'
            - type: 'null'
      type: object
      title: IPostResponseBase[ICallRead]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ICallRead:
      properties:
        agent_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Agent Id
        organization_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Organization Id
        provider:
          anyOf:
            - $ref: '#/components/schemas/ICallProviderEnum'
            - type: 'null'
        status:
          anyOf:
            - $ref: '#/components/schemas/ICallStatusEnum'
            - type: 'null'
        type:
          anyOf:
            - $ref: '#/components/schemas/ICallTypeEnum'
            - type: 'null'
        phone_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone Number
        conversation_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Conversation Id
        transcript:
          anyOf:
            - type: string
            - type: 'null'
          title: Transcript
        duration:
          anyOf:
            - type: integer
            - type: 'null'
          title: Duration
        cost:
          type: number
          title: Cost
          default: 0
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        recording_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Recording Url
        events:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Events
        prompt_params:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Prompt Params
        call_extract:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Call Extract
        external_last_status:
          anyOf:
            - type: string
            - type: 'null'
          title: External Last Status
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
        system_prompt:
          anyOf:
            - type: string
            - type: 'null'
          title: System Prompt
        comments:
          anyOf:
            - type: string
            - type: 'null'
          title: Comments
        quality:
          anyOf:
            - type: integer
            - type: 'null'
          title: Quality
        id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Id
        created_by:
          anyOf:
            - $ref: '#/components/schemas/IUserBasicInfo'
            - type: 'null'
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
        tags:
          anyOf:
            - items:
                $ref: '#/components/schemas/ITagRead'
              type: array
            - type: 'null'
          title: Tags
      type: object
      title: ICallRead
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ICallProviderEnum:
      type: string
      enum:
        - web
        - phone_outbound
        - phone_inbound
      title: ICallProviderEnum
    ICallStatusEnum:
      type: string
      enum:
        - init
        - start
        - finish
        - error
        - other
      title: ICallStatusEnum
    ICallTypeEnum:
      type: string
      enum:
        - inbound
        - outbound
      title: ICallTypeEnum
    IUserBasicInfo:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        first_name:
          type: string
          title: First Name
        last_name:
          type: string
          title: Last Name
      type: object
      required:
        - id
        - first_name
        - last_name
      title: IUserBasicInfo
    ITagRead:
      properties:
        name:
          type: string
          title: Name
        id:
          type: string
          format: uuid
          title: Id
      type: object
      required:
        - name
        - id
      title: ITagRead
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    HTTPBearer:
      type: http
      scheme: bearer

````